#!/bin/bash
_java=`which java`
if [ "$_java" = "" ]; then
	if [ "$DISPLAY" ]
	then
		zenity --error --text 'No JRE (Java Runtime Environment) can be found, please install one.'
	else
		echo -e '\e[00;31m!!! No JRE (Java Runtime Environment) can be found, please install one. !!!\e[00m'
	fi
	exit 1
fi

_olddir=`pwd`
cd $(dirname $0)

_arch=`uname -m`
_swtDir="gtk.linux.$_arch"

java -cp "./*":"lib/*":"lib/${_swtDir}/*":./ com.cesys.apps.cebomultilogger.MainWindow $@

cd "$_olddir"
